#!/bin/sh
# http://www.penguin.cz/~utx/amr
# http://www.3gpp.org/ftp/Specs/archive/26_series/26.204/26204-700.zip
#
# script by: til <rob DOT til DOT freedman AT googlemail DOT com>
set -e -u -x

NAME=amrwb
VERSION=7.0.0.3
ARCH=${ARCH:-i486}
CPU=${CPU:-i686}
BUILD=54.1

PKGNAME=$NAME-$VERSION
PACKAGE=$PKGNAME-$ARCH-$BUILD

URL_SRC=http://ftp.penguin.cz/pub/users/utx/amr/$PKGNAME.tar.bz2
PKG_SRC="$URL_SRC
http://zenwalk.pinguix.com/user-accounts/tilderb/extra/amr/build-amrwb.sh"

CWD=`pwd`
TMP=${TMP:-$CWD}

PKG=$TMP/$PACKAGE
SRC=$TMP/$PKGNAME

[ -d $SRC ] && rm -fr $SRC
[ -d $PKG ] && rm -fr $PKG

# prepare build directory
mkdir -p $PKG/install
mkdir -p $PKG/usr/{src,doc}/$PKGNAME

PKG_AMR=${URL_SRC##*/}
[ ! -e $PKG_AMR ] && wget $URL_SRC

tar xf $CWD/$PKG_AMR -C $TMP
cd $SRC
# ./configure --help

CFLAGS="-O2 -march=$ARCH -mtune=$CPU" \
CXXFLAGS="-O2 -march=$ARCH -mtune=$CPU" \
./configure \
  --prefix=/usr

make || exit 1
make install DESTDIR=$PKG

cp AUTHORS COPYING ChangeLog NEWS README TODO \
  $PKG/usr/doc/$PKGNAME

# strip symbols
find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs -r strip --strip-unneeded 2> /dev/null
find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs -r strip --strip-unneeded 2> /dev/null
find $PKG | xargs file | grep "current ar archive" | cut -f 1 -d : | xargs -r strip -g 2> /dev/null

# copy build script
cp $CWD/build-amrwb.sh $PKG/usr/src/$PKGNAME

# slack description
#    |-----handy-ruler------------------------------------------------------|
cat <<EOF > $PKG/install/slack-desc
amrwb: amrwb (3GPP AMR Wideband Speech Codecs)
amrwb:
amrwb: 3GPP released AMR/AMR-WB reference implementations
amrwb:
amrwb: - Adaptive Multi-Rate - Wideband (AMR-WB) Speech Codec
amrwb:   3GPP TS 26.204 V7.0.0.
amrwb:
amrwb: This distribution is for non-commercial purpose only.
amrwb:
amrwb: Ask http://www.3gpp.org for a comvercial license.
amrwb:
EOF

cd $PKG
fakeroot /sbin/makepkg -l y -c n $CWD/$PACKAGE.tgz

cd $CWD
echo "$PKG_SRC" >$PACKAGE.src
md5sum $PACKAGE.tgz > $PACKAGE.md5
:>$PACKAGE.dep

